Table of Contents

Wwise Unity Integration Documentation
Release Notes - Wwise Unity Integration 2014.1.4

This release delivers the Wwise SDK update for Wwise 2014.1.4, and compatibility with Unity 5.

Compatibility:

  • Wwise SDK: 2014.1.4
  • Unity: Unity 4 Pro, or Unity 5 (Personal or Pro)

Resolved Issues:

  • WG-26780 Fixed: Not having the Wwise project present on the machine will no longer generate errors in the Unity console window.
  • WG-26837 Fixed: Fix the SoundBank reference counting in the AkBankManager to prevent premature unloading.

Known Issues:

  • WG-25669: Auto Populate of the Wwise Picker doesn't work in the Mac Editor.
  • WG-25733: Cannot build iOS/Mac games using the Windows editor and vice-versa.

New Features:

  • Added support for the Windows Phone 8.1 platform (accessible via the Metro platform in the build settings).
  • Now fully compatible with Unity 5. The Wwise Unity Integration now uses the new Plugin Importer API to activate its plug-ins. The <UNITY_PROJECT_ROOT>/Assets/Plugins folder will no longer be used by the integration.

Migration notes: The recommended procedure to upgrade your Unity 4 project to Unity 5 is:

  1. Make sure you have a backup of your project
  2. Open your Unity 4 project in Unity 5. This will trigger the Unity upgrade assistant.
  3. Once the upgrade to Unity 5 is done, import the 2014.1.4 Unity integration
  4. A migration window will appear, click "Start"
  5. Once the migration window closes, the migration is done
  6. You are now ready to use the Wwise Unity Integration in Unity 5!